Page MenuHomePhabricator

Convert GrowthExperiments code to use require()
Closed, ResolvedPublic

Description

Both the WelcomeSurvey popup (variation C) and the help panel use lots of internal classes that we should move from being attached to a global object to being internally require()d.

Event Timeline

Catrope created this task.Feb 22 2019, 11:50 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 22 2019, 11:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 474972 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] WelcomeSurvey: convert popup code to using require()

https://gerrit.wikimedia.org/r/474972

Change 492247 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Help panel: convert custom data module to package module

https://gerrit.wikimedia.org/r/492247

Change 474972 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] WelcomeSurvey: convert popup code to using require()

https://gerrit.wikimedia.org/r/474972

Change 492247 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help panel: convert custom data module to package module

https://gerrit.wikimedia.org/r/492247

SBisson assigned this task to Catrope.Feb 27 2019, 9:02 PM
Etonkovidova closed this task as Resolved.Feb 28 2019, 11:53 PM